<div
    id="dataviz-container"
    class="row flex-row-reverse"
>
    <div class="filters col-sm-12 col-md-4 col-xl-3">
        <div class="mountains-filters">
            <select
                name="mountains"
                (change)="onChangeMountainFilter($event)"
            >
                <option [value]="null">
                    Tous les massifs
                </option>
                <option
                    *ngFor="let mountain of mainConfig.mountains; let mountainIndex = index;"
                    [value]="mountainIndex"
                >
                    {{ mountain.name }}
                </option>
            </select>
        </div>
        <div
            class="species-filters"
            *ngIf="speciesList && speciesList.features"
        >
            <select
                name="species"
                (change)="onChangeSpeciesFilter($event)"
            >
                <option [value]="null">
                    Toutes les espèces
                </option>
                <option
                    *ngFor="let species of speciesList.features"
                    [value]="species.properties.cd_nom"
                >
                    {{ species.properties.nom_vern }}
                </option>
            </select>
        </div>
        <div
            class="years-filters"
            *ngIf="years"
        >
            <select
                name="years"
                (change)="onChangeYearsFilter($event)"
            >
                <option [value]="null">
                    Toutes les années
                </option>
                <option
                    *ngFor="let year of years"
                    [value]="year"
                >
                    {{ year }}
                </option>
            </select>
        </div>
        <div
            class="observers-category-filters"
            *ngIf="mainConfig.categoriesEnum"
        >
            <select
                name="observers-category"
                (change)="onChangeObserversCategoryFilter($event)"
            >
                <option [value]="null">
                    Toutes les catégories d'observateurs
                </option>
                <option
                    *ngFor="let category of mainConfig.categoriesEnum | keyvalue"
                    [value]="category.key"
                >
                    {{ category.value }}
                </option>
            </select>
        </div>
        <div
            class="statistics"
            *ngIf="statistics"
        >
            <div>
                <b class="notranslate">{{ statistics.observationsNumber }}</b> observations
            </div>
            <div>
                <b class="notranslate">{{ statistics.areasNumber }}</b> zones d'observations
            </div>
            <div>
                suivies par <b class="notranslate">{{ statistics.observersNumber }}</b> observateurs
            </div>
            <div>
                dont <b class="notranslate">{{ statistics.relaysNumber }}</b> relais
            </div>
        </div>
    </div>
    <div class="dataviz-content col-sm-12 col-md-8 col-xl-9">
        <app-areas-dataviz-map
            *ngIf="areas && areas.features"
            #areasMapRef
            [features]="areas"
        ></app-areas-dataviz-map>
    </div>

    <div *ngIf="requestsInProgress > 0">
        <div id="loading-container">
            <div class="loading-text">
                <h4>Chargement en cours...</h4>
            </div>
            <div id="spinner">
                <div class="loader-1"></div>
                <div class="loader-2"></div>
                <div class="loader-3"></div>
            </div>
        </div>
    </div>
</div>
